echo off
cls
echo :-----------------------------------------------------
echo :  Converting DIF file to ASCII file.  (.DIF to .ASC)
echo :
echo :      (C) Copyright (1988), Brown Bag Software
echo :-----------------------------------------------------
if exist %1.dif goto start
goto nofile
:start
dif2asc %1
if ERRORLEVEL 3 goto writerr
if ERRORLEVEL 2 goto formerr
if ERRORLEVEL 1 goto readerr
echo :
echo :
echo : DIF file successfully converted to a ASCII file.
echo :
echo : Your DIF file can now be loaded as a ASCII file with the same name.
echo :
echo : Reload the EPG program and select the 'Graph' type in the Data menu.
echo :
goto done
:readerr
echo :
echo : Read error on specified file.
echo :
goto done
:formerr
echo :
echo :  DIF file format error - cannot convert. Check file type.
echo :
goto done
:writerr
echo :
echo : Write error on ASC file.  Conversion unsuccessful.
echo :
goto done
:nofile
echo :
echo : ERROR:  No file name specified or File not valid.
echo :
:done
