echo off
cls
echo :-----------------------------------------------------
echo : Converting SYLK file to ASCII file.  (.SYK to .ASC)
echo :
echo :    (C) Copyright (1988), Brown Bag Software
echo :-----------------------------------------------------
if exist %1.syk goto start
goto nofile
:start
syk2asc %1
if ERRORLEVEL 3 goto writerr
if ERRORLEVEL 2 goto formerr
if ERRORLEVEL 1 goto readerr
echo :
echo :
echo : SYLK file successfully converted to an ASCII file.
echo :
echo :  Your SYLK file can now be loaded as an ASCII file with the same name.
echo :
echo :  Reload the EPG program and select the 'Graph' type in the Data menu.
echo :
goto done
:readerr
echo :
echo : Read error on specified file.
echo :
goto done
:formerr
echo :
echo : SYLK file format error - cannot convert. Check file type.
echo :
goto done
:writerr
echo :
echo : Write error on ASC file.  Conversion unsuccessful.
echo :
goto done
:nofile
echo :
echo :   ERROR:  No file name specified or File not valid.
echo :
:done
